# Baby Yoda segmentation dataset
This is a dataset of instance segmentation for the fictional character Grogu, from the Disney TV Show *The Mandalorian*.

## How to use the dataset
### With DVC import
```shell
dvc import -o <local-path>/images https://dagshub.com/Simon/baby-yoda-segmentation-dataset data/images
dvc import -o <local-path>/annotations https://dagshub.com/Simon/baby-yoda-segmentation-dataset data/annotations
```
### Format
The dataset is encoded as `.json` using the [COCO format](https://cocodataset.org/#format-data), 
generated using [COCO Annotator](https://github.com/jsbroks/coco-annotator).
### Example project
[Baby Yoda segmentor project](https://dagshub.com/Simon/baby-yoda-segmentor)
## How to contribute
1. Fork the repository
    ```shell
    git clone <fork-url>
    dvc pull -r origin
    ```
2. Do your changes to `images` and `annotations` using your favorite tools.
3. Run the code in `Playground.ipynb` to generate the new previews.
4. Run
   
    ```shell
    dvc commit
    ```
5. Add a local remote to push your data
    ```shell
    dvc remote add --local fork <dagshub-remote-url.dvc>
    # Additional commands to set up credentials should appear on you fork homepage
    ```
6. Push your data
    ```shell
    dvc push -r fork
    git add .
    git commit -m "Changes to dataset"
    git push
    ```
7. Open a PR
